%define anolis_release 2

Name:           cjson
Version:        1.7.15
Release:        %{anolis_release}%{?dist}
Summary:        Ultralightweight JSON parser in ANSI C
 
License:        MIT and ASL 2.0
URL:            https://github.com/DaveGamble/cJSON
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
 
Patch0001:      cjson-1.7.15-fix-cve-2024-31755.patch
BuildRequires:  gcc
BuildRequires:  cmake

%description
cJSON aims to be the dumbest possible parser that you can get your job
done with. It's a single file of C, and a single header file.
 
%package devel
Summary:        Development files for cJSON
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       cmake-filesystem
  
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use cJSON.
 
%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.
 
%prep
%autosetup -n cJSON-%{version}

%build
%cmake -DENABLE_CJSON_TEST=ON -DENABLE_TARGET_EXPORT=ON
%cmake_build

%install
%cmake_install
rm -f %{buildroot}%{_libdir}/*.{la,a}

%generate_compatibility_deps

%check
%ctest

%files
%license LICENSE
%dir %{abidir}
%{_libdir}/libcjson*.so.*
%{abidir}/libcjson.dump

%files devel
%{_libdir}/libcjson.so
%{_libdir}/pkgconfig/libcjson.pc
%{_libdir}/cmake/cJSON/
%{_includedir}/cjson/

%files doc
%doc README.md CHANGELOG.md CONTRIBUTORS.md

%changelog
* Tue Nov 12 2024 yangxinyu <yangxinyu@nfschina.com> - 1.7.15-2
- add cjson-1.7.15-fix-cve-2024-31755.patch

* Mon Aug 07 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.7.15-1
- Init upstream from version 1.7.15
